# Class RegisterRequest | EchoHub Documentation

# Class RegisterRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record RegisterRequest : IEquatable<RegisterRequest>

Inheritance
  object
  RegisterRequest

Implements
  IEquatable<RegisterRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### RegisterRequest(RegisterRequest)

    protected RegisterRequest(RegisterRequest original)

#### Parameters

`original` RegisterRequest

### RegisterRequest(string, string, string?)

    public RegisterRequest(string Username, string Password, string? DisplayName = null)

#### Parameters

`Username` string
`Password` string
`DisplayName` string

## Properties

### DisplayName

    public string? DisplayName { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Password

    public string Password { get; init; }

#### Property Value

string

### Username

    public string Username { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string, out string?)

    public void Deconstruct(out string Username, out string Password, out string? DisplayName)

#### Parameters

`Username` string
`Password` string
`DisplayName` string

### Equals(RegisterRequest?)

    public virtual bool Equals(RegisterRequest? other)

#### Parameters

`other` RegisterRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(RegisterRequest?, RegisterRequest?)

    public static bool operator ==(RegisterRequest? left, RegisterRequest? right)

#### Parameters

`left` RegisterRequest
`right` RegisterRequest

#### Returns

bool

### operator !=(RegisterRequest?, RegisterRequest?)

    public static bool operator !=(RegisterRequest? left, RegisterRequest? right)

#### Parameters

`left` RegisterRequest
`right` RegisterRequest

#### Returns

bool